Package org.zkoss.zkmax.bind.impl

## Class BindStepRenderer<E>

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer
  - - org.zkoss.zkmax.bind.impl.BindStepRenderer<E>

- All Implemented Interfaces:
    `java.io.Serializable`, `StepRenderer<E>`

      public class BindStepRenderer<E>
      extends AbstractRenderer
      implements StepRenderer<E>

  Step renderer for binding.
  Since:
    9.0.0
  Author:
    jameschu
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractRenderer

      `CURRENT_INDEX_RESOLVER_ATTR, EACH_ATTR, EACH_STATUS_VAR, EACH_VAR, IS_TEMPLATE_MODEL_ENABLED_ATTR, RENDERED_COMPONENTS, STATUS_ATTR, STATUS_POST_VAR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindStepRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(Step step, E data, int index)` | Renders the data to the specified Step.

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractRenderer

      `addItemReference, addTemplateTracking, filterOutShadows, resolveTemplate, resolveTemplate, setAttributeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindStepRenderer

          public BindStepRenderer()

  - ### Method Detail

    - #### render

          public void render​(Step step,
                             E data,
                             int index)
                      throws java.lang.Exception

      Description copied from interface: `StepRenderer`
      Renders the data to the specified Step.
      Specified by:
        `render` in interface `StepRenderer<E>`
      Parameters:
        `step` - the Step to render the result.
        `data` - that is used to render the Step
        `index` - the index of the data that is currently being rendered. Notice the index is the order of the siblings (i.e., data that belongs to the same parent).
      Throws:
        `java.lang.Exception`